%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global debug_package %{nil}

Name:           caribou
Version:        0.1.5
Release:        2%{?dist}
Summary:        A simplified in-place on-screen keyboard

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://live.gnome.org/Caribou
Source0:        http://ftp.gnome.org/pub/GNOME/sources/caribou/0.1/caribou-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  pygtk2-devel
BuildRequires:  pyclutter-devel
BuildRequires:  pyatspi
BuildRequires:  python-virtkey
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2-devel

Requires:       pygtk2
Requires:       gnome-python2-gconf
Requires:       pyatspi
Requires:       pyclutter
Requires:       python-virtkey

Requires(pre):  GConf2
Requires(post):  GConf2
Requires(preun):  GConf2

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%prep
%setup -q


%build
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/caribou.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/caribou.desktop

%find_lang caribou

%post
%gconf_schema_upgrade caribou

%pre
%gconf_schema_prepare caribou

%preun
%gconf_schema_remove caribou

%files -f caribou.lang
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/caribou
%{_bindir}/caribou
%{_datadir}/caribou
%{_datadir}/applications/caribou.desktop
%{_sysconfdir}/gconf/schemas/caribou.schemas

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-3
- Require pyatspi, not at-spi-python

* Sat May 29 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-2
- Rewrite spec for autotools

* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
